Jupiter - Zadanie #1788
Sekcja do zarzadzania afiliacjami
2017-07-28 13:18 - Monika Maksymiuk

Status: Odpowiedz Start date: 2017-07-28
Priority: Normalny Due date:

Assignee: Monika Maksymiuk % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 0.3

Developer: Monika Maksymiuk Tester: tukasz Waskiewicz
Description

j-w

Related issues:
Related to Jupiter - Btad # 1904: Znikaja nie zapisane wpisy w afiliacjach, n... Rozwigzany 2017-12-13
Duplicated by Jupiter - Zadanie # 1755: Komponent afiliacji Odrzucony  2017-07-17

Associated revisions

Revision cbd32901 - 2017-07-28 13:50 - Monika Maksymiuk

refs #1788. Sekcja do zarzadzania afiliacjami

Revision d0301cba - 2017-08-30 14:54 - Monika Maksymiuk

refs #1788. Wybieranie afiliacji z podpowiedzi

Revision 57ba617a - 2017-08-31 09:41 - Michat Komar

refs #1788: Poprawka

Revision cfc450bf - 2017-08-31 11:34 - Michat Komar

refs #1788: Poprawka

Revision ee699ece - 2017-09-06 14:55 - Monika Maksymiuk

refs #1788. Bugfix autocomplete

Revision c96a4787 - 2017-09-06 14:55 - Monika Maksymiuk

refs #1788. Brak mozliwosci edycji powiazanej afiliacji

Revision 227bca8d - 2017-09-06 15:20 - Monika Maksymiuk

refs #1788. Informacja w tooltipie o powigzanej afiliacji
Revision 82b25147 - 2017-09-08 08:04 - Michat Komar

refs #1788: Poprawka

Revision 684b1d6c - 2017-09-08 08:41 - Michat Komar

refs #1788: Poprawienie IT

Revision c0f75ffd - 2017-09-08 08:50 - Michat Komar

refs #1788: Poprawienie obstugi eventéw przez shared service

Revision 2d608dee - 2017-09-11 13:34 - Monika Maksymiuk

refs #1788. Poprawienie bledu wchodzenia do edycji

Revision 08f30c40 - 2017-12-14 15:40 - Monika Maksymiuk

refs #1788. Mozliwosc usuwania afiliacji jeszcze nie zapisanych

Revision 9ca6f857 - 2017-12-14 15:40 - Monika Maksymiuk

refs #1788. Lokalizacja record-editor.component

Revision 1eea4752 - 2017-12-14 15:40 - Monika Maksymiuk

refs #1788. temporary fix nie bindujacej sie instytucji po wybraniu afiliacji z listy

History

#1 - 2017-07-28 13:57 - Monika Maksymiuk

- Status changed from Nowy to Testowanie

- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz
- % Done changed from 0 to 100

#2 - 2017-08-07 10:10 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

zmienitbym ikonke przycisku anuluj na strzatke w tyt, krzyzyk w sekcjach uzywamy do kasowania
ESC mégtby wywotywaé anuluj

ENTER w edycji submituje formularz

mozna usung¢ ostatnig afiliacje , sekcja zostaje (moze tak ma by¢)

mozliwe jest réwnoczesne modyfikowanie kilku afiliacji (w bibliografii mozna edytowacé tylko 1 rekord)
mozliwe jest dodanie nowej pustej afiliacji

po dodaniu mozna kliknaé¢ anuluj , powoduje to dodanie pustej afiliacji
brakuje tez lokalizacji

#3 - 2017-08-10 09:10 - Monika Maksymiuk
- Target version set to 0.3

#4 - 2017-09-08 11:51 - Monika Maksymiuk
- Status changed from Odpowied? to Testowanie
- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz

Ikona przycisky "x" do anuluj zostata, zmienitam ikoneg przy sekcjach na "-"

esc nie wywotuje zgodnie z ustaleniami anuluj

enter nie submituje formuarza

ostatnia afiliacja nie powinna sie juz usuwac

modyfikowanie wielu rekordéw na raz jest mozliwe zaréwno w afiliacjach jak i przy bibliografii. Automatyczne wyjscie z edycji na focusout jest tylko
wtedy jak nie zmieniliSmy nic w rekordzie podczas edyciji

Dodanie pustej afiliacji nie powinno by¢ mozliwe

Lokalizacja dodana

Zostat dodany réwniez autocomplete. Po wybraniu rekordu z listy nie mozna takiego rekordu edytowac

#5 - 2017-09-20 08:49 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

jesli mamy 2 afiliacje
- wejdziemy w edycje pierwszej, bedac w edycji klikniemy przycisk kasowania drugiej (lub jakikolwiek inny przycisk) -> wywotane jest wyjécie z
edycji (i tyle)
- wchodzac w edycje drugiej, klikamy w usuniecie pierwszej -> wywotane jest wyjscie z edycji i pojawia sie okno potwierdzenia kasowania
po diuzszym dziataniu na stronie klikanie w przyciski bedac w edyc;ji afiliacji nie wywotuje akcji zadnego przycisku

#6 - 2017-10-02 09:08 - Michat Komar
- Duplicated by Zadanie #1755: Komponent afiliacji added

#7 - 2017-11-27 12:21 - Monika Maksymiuk
- Status changed from Odpowiedz to Testowanie
- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz

Jesli wejdziemy w edycje afiliacji i nic w niej nie zmienimy to na focusout wychodzimy z trybu edycji. Nie oddtworzytam czesci z "po diuzszym dziataniu
na stronie klikanie w przyciski bedac w edyciji afiliacji nie wywotuje akcji zadnego przycisku". To wystepuje nadal?

#8 - 2017-12-01 09:50 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

1. jesli dodajemy afiliacje wpiszemy cos w pole i nastepnie klikniemy + (dodanie nowej) tracimy wpisang wczesniej wartosé
2. rozmawiata$ chyba z Komarem (jesli dodamy afiliacje klikniemy + kilkanascie razy) to potem takich dodanych (pustych) afiliacji nie mozemy sie

pozby¢ (zapisz i X sg nieaktywne)

2024-05-19 3/4



3. zgtositem przy autorach nie mozna usuna¢ ostatniej afiliacji (trzeba kasowac sekcje) (to jest spdjne z nazwami i opisami, ale autorow mozemy
usuna¢ ostatniego, stowa kluczowe tez)

4. w ogdle nie dziata przycisk z poszem przy sekc;ji afiliacji 0507686
http://cocos-devel.vls.icm.edu.pl:9080/pl/editor/document/bwmetal.element.ekon-element-000171339573/edit (problem jest gdzie indziej #1913)

#9 - 2017-12-04 13:22 - Monika Maksymiuk

Ad. 3. Mozna usuna¢ wszystkie elementy tylko z sekcji, gdzie jest menadzer dodawania. W przypadku stéw kluczowych nie mozna usung¢ ostatniej
pary jezyk/stowa kluczowe, co jest spéjne z pozostatymi sekcjami, ktérych jest plusik (mozliwo$é dodawania pojedynczych elementow)

#10 - 2017-12-22 08:59 - Lukasz Waskiewicz

dodany nowy problem

#11 - 2017-12-28 09:36 - Lukasz Waskiewicz
- Related to Bigd #1904: Znikaja nie zapisane wpisy w afiliacjach, nie mozna usungc pojedynczych afiliacji przed zapisaniem, nie mozna zapisac

artykutu z afiliaciami added
